Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 111437 - External binaries location in CVS does not follow NB CVS rules
External binaries location in CVS does not follow NB CVS rules
Status: STARTED
Product: soa
Classification: Unclassified
Component: -- Other --
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Fred Aabedi
issues@soa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 09:44 UTC by Petr Suchomel
Modified: 2008-01-17 11:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Suchomel 2007-07-31 09:44:13 UTC
External binaries location in CVS does not follow NB CVS rules - please see
http://wiki.netbeans.org/wiki/view/DevFaqExternalLibrariesUpdated
All binaries must ender external/ not under release/modules/ext/ when stored in NetBeans CVS
Several binaries are probably the same verion inside one cluster in CVS, needs clean up. Please note wsdl4j, JGOxx for
example included several times.
More for example enterprise/script/external/ contains javaee.zip which contains javaee.jar, which is in CVS also under
enterprise/script/external/javaee/javaee.jar

This needs to be fixed for Beta 1

enterprise/external/httpunit-1.6.2.jar
enterprise/external/wsdl4j-1.5.2.zip
enterprise/external/xmlbeans-2.1.0.zip
enterprise/external/xmlunit1.0.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/activation-1.1.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/antlr-2.7.7.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/asm-all-2.2.3.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/commons-collections-3.2.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/jbi4cics-0.5-SNAPSHOT.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/jcl104-over-slf4j-1.3.1.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/jdom-1.0.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/slf4j-api-1.3.1.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/wsdl4j-1.5.2.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/wstx-asl-3.0.3.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/xfire-aegis-1.2.2.jar
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/xfire-core-1.2.2.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/activation-1.1.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/asm-all-2.2.3.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/commons-lang-2.1.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/jbi4corba-0.2.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/jcl104-over-slf4j-1.3.0.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/jdom-1.0.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/slf4j-api-1.3.0.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/tools.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/wsdl4j-1.5.2.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/wstx-asl-3.0.0.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/xfire-aegis-1.2.2.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/xfire-core-1.2.2.jar
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/xfire-java5-1.2.2.jar
enterprise/openesbaddons/encoder_cocolib/release/modules/ext/encoder/coco.jar
enterprise/openesbaddons/encoder_cocolib/release/modules/ext/encoder/cocoencoder-xsdextension.jar
enterprise/openesbaddons/encoder_customlib/release/modules/ext/encoder/custom.jar
enterprise/openesbaddons/encoder_customlib/release/modules/ext/encoder/customencoder-xsdextension.jar
enterprise/openesbaddons/encoder_fwlib/release/modules/ext/encoder/encoderframework.jar
enterprise/openesbaddons/encoder_fwlib/release/modules/ext/encoder/encoderfrmwk-xsdextension.jar
enterprise/openesbaddons/encoder_hl7lib/release/modules/ext/encoder/hl7.jar
enterprise/openesbaddons/encoder_hl7lib/release/modules/ext/encoder/hl7encoder-xsdextension.jar
enterprise/openesbaddons/script/external/javaee/javaee.jar
enterprise/openesbaddons/smtpmail/release/modules/ext/mail.jar
enterprise/openesbaddons/workflow/project/release/modules/ext/workflow/log4j-1.2.13.jar
enterprise/openesbaddons/workflow/project/release/modules/ext/workflow/wfse_def.jar
enterprise/openesbaddons/workflow/project/release/modules/ext/workflow/workflowmodel.jar
enterprise/openesbaddons/workflow/project/release/modules/ext/workflow/wsdl4j.jar
enterprise/script/external/javaee.zip
enterprise/script/external/javaee/javaee.jar
enterprise/soa/jgo/release/modules/ext/JGo5.1.jar
enterprise/soa/jgo/release/modules/ext/JGoInstruments5.1.jar
enterprise/soa/jgo/release/modules/ext/JGoLayout5.1.jar
enterprise/workflow/project/release/modules/ext/workflow/wfse_def.jar
enterprise/workflow/project/release/modules/ext/workflow/workflowmodel.jar
enterprise/workflow/project/release/modules/ext/workflow/wsdl4j.jar
Comment 1 Petr Suchomel 2007-07-31 10:17:29 UTC
Folder enterprise/external is not supposed to have build.xml in it.
More examples:
enterprise/external/wsdl4j-1.5.2.zip includes wsdl4j.jar which is also included in 
enterprise/openesbaddons/contrib-imola/cics-bc/netbeansplugin/libraries/release/modules/ext/wsdl4j-1.5.2.jar 
enterprise/openesbaddons/contrib-imola/corba-bc/netbeansplugin/libraries/release/modules/ext/wsdl4j-1.5.2.jar 
enterprise/openesbaddons/workflow/project/release/modules/ext/workflow/wsdl4j.jar
Comment 2 Petr Suchomel 2007-07-31 19:52:03 UTC
Please note, we do all work on branch extlib_licenses_2007. I'll talk to individual owners and ask for help with
resolving issues
Comment 3 Jesse Glick 2007-08-02 21:19:47 UTC
Please do nothing today, as I will be closing out the branch and work will continue on the trunk.
Comment 4 Jesse Glick 2007-08-03 00:23:44 UTC
The branch is now dead and merged to trunk.
Comment 5 Venkat Chellasamy 2007-08-03 18:11:44 UTC
Fred, please coordinate to remove the duplicates and place the external libraries according to NB rules
Comment 6 Venkat Chellasamy 2007-08-06 19:06:58 UTC
opeesbaddons, script, workflow are not part of NB6.0 release. 
However we will be working on cleaning up the external libraries.
Comment 7 Jesse Glick 2007-08-10 18:20:23 UTC
Looking at cluster.properties and the current violations, it seems we should exclude the following CVS subtrees as being
completely unused in the NB 6.0 release; please confirm:

enterprise/dataintegrator/
enterprise/dcom/
enterprise/iep/
enterprise/openesbaddons/
enterprise/workflow/

Even so, it would be great if external binaries in these modules could at least be moved into the correct positions, so
that special exclusions for VerifyLibsAndLicenses.testNoStrayThirdPartyBinaries could be removed.
Comment 8 Venkat Chellasamy 2007-08-15 02:29:12 UTC
Yes, these subtrees are not used for NB6.0 release. Moving the version to dev and target milestone to sierra.
However we will continue to work on cleaning up these external libs.
Comment 9 Jun Qian 2007-08-15 12:07:49 UTC
The following have been resolved:

   enterprise/external/httpunit-1.6.2.jar
   enterprise/external/wsdl4j-1.5.2.zip
   enterprise/external/xmlbeans-2.1.0.zip
   enterprise/external/xmlunit1.0.jar

The newly created wrapper modules for these third-party libraries are: 

   enterprise/libs/httpunit
   enterprise/libs/wsdl4j
   enterprise/libs/xmlbeans
   enterprise/libs/xmlunit

respectively.
Comment 10 Jun Qian 2007-08-15 22:06:12 UTC
The new code name base for 
   enterprise/libs/{httpunit, wsdl4j, xmlbeans, xmlunit}
is now
   org.netbeans.soa.libs.{httpunit, wsdl4j, xmlbeans, xmlunit}
Comment 11 Jesse Glick 2007-08-16 15:02:43 UTC
I corrected the location of JGo JARs:

Checking in build.xml;
/shared/data/ccvs/repository/enterprise/soa/jgo/build.xml,v  <--  build.xml
new revision: 1.4; previous revision: 1.3
done
RCS file: /shared/data/ccvs/repository/enterprise/soa/jgo/external/JGo5.1.jar,v
done
Checking in external/JGo5.1.jar;
/shared/data/ccvs/repository/enterprise/soa/jgo/external/JGo5.1.jar,v  <--  JGo5.1.jar
initial revision: 1.1
done
RCS file: /shared/data/ccvs/repository/enterprise/soa/jgo/external/JGoInstruments5.1.jar,v
done
Checking in external/JGoInstruments5.1.jar;
/shared/data/ccvs/repository/enterprise/soa/jgo/external/JGoInstruments5.1.jar,v  <--  JGoInstruments5.1.jar
initial revision: 1.1
done
RCS file: /shared/data/ccvs/repository/enterprise/soa/jgo/external/JGoLayout5.1.jar,v
done
Checking in external/JGoLayout5.1.jar;
/shared/data/ccvs/repository/enterprise/soa/jgo/external/JGoLayout5.1.jar,v  <--  JGoLayout5.1.jar
initial revision: 1.1
done
Checking in nbproject/project.properties;
/shared/data/ccvs/repository/enterprise/soa/jgo/nbproject/project.properties,v  <--  project.properties
new revision: 1.3; previous revision: 1.2
done
Checking in nbproject/project.xml;
/shared/data/ccvs/repository/enterprise/soa/jgo/nbproject/project.xml,v  <--  project.xml
new revision: 1.3; previous revision: 1.2
done
Removing release/modules/ext/JGo5.1.jar;
/shared/data/ccvs/repository/enterprise/soa/jgo/release/modules/ext/JGo5.1.jar,v  <--  JGo5.1.jar
new revision: delete; previous revision: 1.2
done
Removing release/modules/ext/JGoInstruments5.1.jar;
/shared/data/ccvs/repository/enterprise/soa/jgo/release/modules/ext/JGoInstruments5.1.jar,v  <--  JGoInstruments5.1.jar
new revision: delete; previous revision: 1.2
done
Removing release/modules/ext/JGoLayout5.1.jar;
/shared/data/ccvs/repository/enterprise/soa/jgo/release/modules/ext/JGoLayout5.1.jar,v  <--  JGoLayout5.1.jar
new revision: delete; previous revision: 1.2
done

You still need to create enterprise/soa/jgo/external/JGo5.1-license.txt and enter the proper header fields.

I also added the five subdirs I mentioned previously to the ignore list, until this issue can be fixed (possibly after 6.0):

Checking in ignored-binaries;
/shared/data/ccvs/repository/nbbuild/antsrc/org/netbeans/nbbuild/extlibs/ignored-binaries,v  <--  ignored-binaries
new revision: 1.8; previous revision: 1.7
done
Comment 12 Andrei Chistiakov 2008-01-17 11:08:55 UTC
Changed target milestone from Sierra to 6.1 in order to display correct info on
NB 6.1 dashboard


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo